# eric5.Plugins.VcsPlugins.vcsMercurial.HgUserConfigDataDialog

Module implementing a dialog to enter some user data.

### Global Attributes

None

### Classes

HgUserConfigDataDialog | Class implementing a dialog to enter some user data.

### Functions

None

## HgUserConfigDataDialog

Class implementing a dialog to enter some user data.

### Derived from

QDialog, Ui_HgUserConfigDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgUserConfigDataDialog | Constructor
getData | Public method to retrieve the entered data.

### Static Methods

None

#### HgUserConfigDataDialog (Constructor)

HgUserConfigDataDialog(version=(0, 0), parent=None)

Constructor

version
  Mercurial version info (tuple of two integers)
parent
  reference to the parent widget (QWidget)

#### HgUserConfigDataDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple with user's first name, last name, email address, list of activated extensions and dictionary with extension data (tuple of three strings, a list of strings and a dictionary with extension name as key)

Up